Subject: Re: [6lowpan] [Roll] New charter for 6lowpan

From: "Miguel Sanchez" <[email-masked]>
Date: Fri, 30 May 2008 20:18:13 +0200

Hi JP,

On 5/29/08, JP Vasseur <[email-masked]> wrote:
>
> Hi Phil and Carles,
>
>
>
> On 5/28/08 1:38 AM, "Philip Levis" <[email-masked]> wrote:
>
> > On May 27, 2008, at 2:29 AM, Carles Gomez Montenegro wrote:
> >>
> >> At least, there are the following items listed in the routing
> >> requirements
> >> draft (http://tools.ietf.org/id/draft-dokaspar-6lowpan-routreq-05.txt)
> >> that route-over approach cannot provide or would provide only in a
> >> limited
> >> way:
> >
> > I disagree wholeheartedly.
>
>
> So do I.
>
>
> I think there is a big confusion here
> > between a protocol specification and a protocol implementation.
> >
> > These are all arguments for cross-layer design, that tightly
> > integrating routing and the link layer will lead to a better solution.
> > Practice has shown us otherwise;
>
>
> Indeed, "practice" being "The Internet".
>
>
>
There are a couple of topics that seem to be cross-layer by nature. One of
them seems to be power awareness. The other seems to be routing involving
wireless links.

That is why I am not so sure that "practice" (done mostly with wired links
and without power constraints) is very relevant here. That is why IETF MANET
group was created; not because current routing on the Internet was wrong but
because a new type of problem was being addressed (mobile ad-hoc
networking).

I do not see how MAC feedback can be bad, as not being a mandatory feature
network layer can always just ignore it. However I can see how such a
feedback can avoid repeating operations already performed at the link layer
(i.e. link quality estimation).

Just my two cents,

Miguel Sánchez
_______________________________________________
6lowpan mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/6lowpan